Plank.DockRenderer – plank Reference Manual

# DockRenderer

## Object Hierarchy:

## Description:

public class DockRenderer : Renderer

Handles all of the drawing for a dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockController controller { construct; }
- public DockTheme theme { get; }
- public double hide_progress { get; }
  The current progress [0.0..1.0] of the hide-animation of the dock.
- public double zoom_in_progress { get; }
  The current progress [0.0..1.0] of the zoom-in-animation of the dock.
- public Point local_cursor { get; }
  The current local cursor-position on the dock if hovered.

### Creation methods:

- public DockRenderer (DockController controller, Window window)
  Create a new dock renderer for a dock.

### Methods:

- public void initialize ()
  Initializes the renderer. Call after the DockWindow is constructed.
- public void reset_buffers ()
  Resets all internal buffers and forces a redraw.
- protected override void initialize_frame (int64 frame_time)
  Preparations which are not requiring a drawing context yet.
- public override void draw (Context cr, int64 frame_time)
  Draws onto a context.
- public void update_local_cursor (int x, int y)
- public void animate_items (List<DockElement> elements)
- protected override bool animation_needed (int64 frame_time)
  Determines if animation should continue.

### Inherited Members:

All known members inherited from class Plank.Renderer

- widget
- frame_time
- animation_needed

- initialize_frame
- draw

- force_frame_time_update
- animated_draw

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count